// Code generated by protoc-gen-go. DO NOT EDIT.
// source: feast/core/Source.proto

package core

import (
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type SourceType int32

const (
	SourceType_INVALID SourceType = 0
	SourceType_KAFKA   SourceType = 1
)

var SourceType_name = map[int32]string{
	0: "INVALID",
	1: "KAFKA",
}

var SourceType_value = map[string]int32{
	"INVALID": 0,
	"KAFKA":   1,
}

func (x SourceType) String() string {
	return proto.EnumName(SourceType_name, int32(x))
}

func (SourceType) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_4d161c4e53091468, []int{0}
}

type Source struct {
	// The kind of data source Feast should connect to in order to retrieve FeatureRow value
	Type SourceType `protobuf:"varint,1,opt,name=type,proto3,enum=feast.core.SourceType" json:"type,omitempty"`
	// Source specific configuration
	//
	// Types that are valid to be assigned to SourceConfig:
	//	*Source_KafkaSourceConfig
	SourceConfig         isSource_SourceConfig `protobuf_oneof:"source_config"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *Source) Reset()         { *m = Source{} }
func (m *Source) String() string { return proto.CompactTextString(m) }
func (*Source) ProtoMessage()    {}
func (*Source) Descriptor() ([]byte, []int) {
	return fileDescriptor_4d161c4e53091468, []int{0}
}

func (m *Source) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Source.Unmarshal(m, b)
}
func (m *Source) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Source.Marshal(b, m, deterministic)
}
func (m *Source) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Source.Merge(m, src)
}
func (m *Source) XXX_Size() int {
	return xxx_messageInfo_Source.Size(m)
}
func (m *Source) XXX_DiscardUnknown() {
	xxx_messageInfo_Source.DiscardUnknown(m)
}

var xxx_messageInfo_Source proto.InternalMessageInfo

func (m *Source) GetType() SourceType {
	if m != nil {
		return m.Type
	}
	return SourceType_INVALID
}

type isSource_SourceConfig interface {
	isSource_SourceConfig()
}

type Source_KafkaSourceConfig struct {
	KafkaSourceConfig *KafkaSourceConfig `protobuf:"bytes,2,opt,name=kafka_source_config,json=kafkaSourceConfig,proto3,oneof"`
}

func (*Source_KafkaSourceConfig) isSource_SourceConfig() {}

func (m *Source) GetSourceConfig() isSource_SourceConfig {
	if m != nil {
		return m.SourceConfig
	}
	return nil
}

func (m *Source) GetKafkaSourceConfig() *KafkaSourceConfig {
	if x, ok := m.GetSourceConfig().(*Source_KafkaSourceConfig); ok {
		return x.KafkaSourceConfig
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*Source) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*Source_KafkaSourceConfig)(nil),
	}
}

type KafkaSourceConfig struct {
	// - bootstrapServers: [comma delimited value of host[:port]]
	BootstrapServers string `protobuf:"bytes,1,opt,name=bootstrap_servers,json=bootstrapServers,proto3" json:"bootstrap_servers,omitempty"`
	// - topics: [Kafka topic name. This value is provisioned by core and should not be set by the user.]
	Topic                string   `protobuf:"bytes,2,opt,name=topic,proto3" json:"topic,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *KafkaSourceConfig) Reset()         { *m = KafkaSourceConfig{} }
func (m *KafkaSourceConfig) String() string { return proto.CompactTextString(m) }
func (*KafkaSourceConfig) ProtoMessage()    {}
func (*KafkaSourceConfig) Descriptor() ([]byte, []int) {
	return fileDescriptor_4d161c4e53091468, []int{1}
}

func (m *KafkaSourceConfig) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_KafkaSourceConfig.Unmarshal(m, b)
}
func (m *KafkaSourceConfig) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_KafkaSourceConfig.Marshal(b, m, deterministic)
}
func (m *KafkaSourceConfig) XXX_Merge(src proto.Message) {
	xxx_messageInfo_KafkaSourceConfig.Merge(m, src)
}
func (m *KafkaSourceConfig) XXX_Size() int {
	return xxx_messageInfo_KafkaSourceConfig.Size(m)
}
func (m *KafkaSourceConfig) XXX_DiscardUnknown() {
	xxx_messageInfo_KafkaSourceConfig.DiscardUnknown(m)
}

var xxx_messageInfo_KafkaSourceConfig proto.InternalMessageInfo

func (m *KafkaSourceConfig) GetBootstrapServers() string {
	if m != nil {
		return m.BootstrapServers
	}
	return ""
}

func (m *KafkaSourceConfig) GetTopic() string {
	if m != nil {
		return m.Topic
	}
	return ""
}

func init() {
	proto.RegisterEnum("feast.core.SourceType", SourceType_name, SourceType_value)
	proto.RegisterType((*Source)(nil), "feast.core.Source")
	proto.RegisterType((*KafkaSourceConfig)(nil), "feast.core.KafkaSourceConfig")
}

func init() { proto.RegisterFile("feast/core/Source.proto", fileDescriptor_4d161c4e53091468) }

var fileDescriptor_4d161c4e53091468 = []byte{
	// 273 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x64, 0x90, 0xd1, 0x4a, 0xc3, 0x30,
	0x14, 0x86, 0x57, 0x71, 0x93, 0x9e, 0xa2, 0xb6, 0x51, 0x74, 0x37, 0xc2, 0x18, 0x5e, 0x8c, 0x09,
	0x0d, 0xcc, 0x27, 0x68, 0x15, 0x71, 0x56, 0x54, 0x3a, 0xd9, 0x85, 0x37, 0xa5, 0xad, 0x69, 0xad,
	0x41, 0x4f, 0x48, 0x32, 0x61, 0x2f, 0xe2, 0xf3, 0x4a, 0x13, 0xb0, 0xd3, 0x5d, 0xf6, 0xff, 0xbf,
	0xbf, 0x9c, 0x7c, 0x70, 0x5a, 0xb1, 0x5c, 0x69, 0x5a, 0xa2, 0x64, 0x74, 0x81, 0x2b, 0x59, 0xb2,
	0x50, 0x48, 0xd4, 0x48, 0xc0, 0x14, 0x61, 0x5b, 0x8c, 0xbf, 0x1d, 0x18, 0xd8, 0x92, 0x4c, 0x61,
	0x57, 0xaf, 0x05, 0x1b, 0x3a, 0x23, 0x67, 0x72, 0x30, 0x3b, 0x09, 0x3b, 0x2a, 0xb4, 0xc4, 0xf3,
	0x5a, 0xb0, 0xd4, 0x30, 0xe4, 0x11, 0x8e, 0x78, 0x5e, 0xf1, 0x3c, 0x53, 0xa6, 0xc9, 0x4a, 0xfc,
	0xac, 0x9a, 0x7a, 0xb8, 0x33, 0x72, 0x26, 0xde, 0xec, 0x6c, 0x73, 0x9a, 0xb4, 0x98, 0xdd, 0x5f,
	0x19, 0xe8, 0xb6, 0x97, 0x06, 0xfc, 0x7f, 0x18, 0x1f, 0xc2, 0xfe, 0x9f, 0x5f, 0x8d, 0x97, 0x10,
	0x6c, 0x4d, 0xc9, 0x05, 0x04, 0x05, 0xa2, 0x56, 0x5a, 0xe6, 0x22, 0x53, 0x4c, 0x7e, 0x31, 0xa9,
	0xcc, 0xbd, 0x6e, 0xea, 0xff, 0x16, 0x0b, 0x9b, 0x93, 0x63, 0xe8, 0x6b, 0x14, 0x4d, 0x69, 0xae,
	0x72, 0x53, 0xfb, 0x31, 0x3d, 0x07, 0xe8, 0x5e, 0x43, 0x3c, 0xd8, 0x9b, 0x3f, 0x2c, 0xa3, 0xfb,
	0xf9, 0xb5, 0xdf, 0x23, 0x2e, 0xf4, 0x93, 0xe8, 0x26, 0x89, 0x7c, 0x27, 0xbe, 0x83, 0x0d, 0x49,
	0xb1, 0x67, 0x17, 0x4f, 0xad, 0xbd, 0x17, 0x5a, 0x37, 0xfa, 0x6d, 0x55, 0x84, 0x25, 0x7e, 0xd0,
	0x1a, 0xdf, 0x19, 0xa7, 0xd6, 0xb3, 0x7a, 0xe5, 0xb4, 0x46, 0x6a, 0x14, 0x2b, 0xda, 0xb9, 0x2f,
	0x06, 0x26, 0xba, 0xfc, 0x09, 0x00, 0x00, 0xff, 0xff, 0xc3, 0xc9, 0xf2, 0x62, 0x90, 0x01, 0x00,
	0x00,
}
