// Code generated by protoc-gen-go. DO NOT EDIT.
// source: feast/serving/ServingService.proto

package serving

import (
	context "context"
	fmt "fmt"
	types "github.com/gojek/feast/sdk/go/protos/feast/types"
	proto "github.com/golang/protobuf/proto"
	duration "github.com/golang/protobuf/ptypes/duration"
	timestamp "github.com/golang/protobuf/ptypes/timestamp"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type FeastServingType int32

const (
	FeastServingType_FEAST_SERVING_TYPE_INVALID FeastServingType = 0
	// Online serving receives entity data directly and synchronously and will
	// respond immediately.
	FeastServingType_FEAST_SERVING_TYPE_ONLINE FeastServingType = 1
	// Batch serving receives entity data asynchronously and orchestrates the
	// retrieval through a staging location.
	FeastServingType_FEAST_SERVING_TYPE_BATCH FeastServingType = 2
)

var FeastServingType_name = map[int32]string{
	0: "FEAST_SERVING_TYPE_INVALID",
	1: "FEAST_SERVING_TYPE_ONLINE",
	2: "FEAST_SERVING_TYPE_BATCH",
}

var FeastServingType_value = map[string]int32{
	"FEAST_SERVING_TYPE_INVALID": 0,
	"FEAST_SERVING_TYPE_ONLINE":  1,
	"FEAST_SERVING_TYPE_BATCH":   2,
}

func (x FeastServingType) String() string {
	return proto.EnumName(FeastServingType_name, int32(x))
}

func (FeastServingType) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_0c1ba93cf29a8d9d, []int{0}
}

type JobType int32

const (
	JobType_JOB_TYPE_INVALID  JobType = 0
	JobType_JOB_TYPE_DOWNLOAD JobType = 1
)

var JobType_name = map[int32]string{
	0: "JOB_TYPE_INVALID",
	1: "JOB_TYPE_DOWNLOAD",
}

var JobType_value = map[string]int32{
	"JOB_TYPE_INVALID":  0,
	"JOB_TYPE_DOWNLOAD": 1,
}

func (x JobType) String() string {
	return proto.EnumName(JobType_name, int32(x))
}

func (JobType) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_0c1ba93cf29a8d9d, []int{1}
}

type JobStatus int32

const (
	JobStatus_JOB_STATUS_INVALID JobStatus = 0
	JobStatus_JOB_STATUS_PENDING JobStatus = 1
	JobStatus_JOB_STATUS_RUNNING JobStatus = 2
	JobStatus_JOB_STATUS_DONE    JobStatus = 3
)

var JobStatus_name = map[int32]string{
	0: "JOB_STATUS_INVALID",
	1: "JOB_STATUS_PENDING",
	2: "JOB_STATUS_RUNNING",
	3: "JOB_STATUS_DONE",
}

var JobStatus_value = map[string]int32{
	"JOB_STATUS_INVALID": 0,
	"JOB_STATUS_PENDING": 1,
	"JOB_STATUS_RUNNING": 2,
	"JOB_STATUS_DONE":    3,
}

func (x JobStatus) String() string {
	return proto.EnumName(JobStatus_name, int32(x))
}

func (JobStatus) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_0c1ba93cf29a8d9d, []int{2}
}

type DataFormat int32

const (
	DataFormat_DATA_FORMAT_INVALID DataFormat = 0
	DataFormat_DATA_FORMAT_AVRO    DataFormat = 1
)

var DataFormat_name = map[int32]string{
	0: "DATA_FORMAT_INVALID",
	1: "DATA_FORMAT_AVRO",
}

var DataFormat_value = map[string]int32{
	"DATA_FORMAT_INVALID": 0,
	"DATA_FORMAT_AVRO":    1,
}

func (x DataFormat) String() string {
	return proto.EnumName(DataFormat_name, int32(x))
}

func (DataFormat) EnumDescriptor() ([]byte, []int) {
	return fileDescriptor_0c1ba93cf29a8d9d, []int{3}
}

type GetFeastServingInfoRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetFeastServingInfoRequest) Reset()         { *m = GetFeastServingInfoRequest{} }
func (m *GetFeastServingInfoRequest) String() string { return proto.CompactTextString(m) }
func (*GetFeastServingInfoRequest) ProtoMessage()    {}
func (*GetFeastServingInfoRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_0c1ba93cf29a8d9d, []int{0}
}

func (m *GetFeastServingInfoRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetFeastServingInfoRequest.Unmarshal(m, b)
}
func (m *GetFeastServingInfoRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetFeastServingInfoRequest.Marshal(b, m, deterministic)
}
func (m *GetFeastServingInfoRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetFeastServingInfoRequest.Merge(m, src)
}
func (m *GetFeastServingInfoRequest) XXX_Size() int {
	return xxx_messageInfo_GetFeastServingInfoRequest.Size(m)
}
func (m *GetFeastServingInfoRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetFeastServingInfoRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetFeastServingInfoRequest proto.InternalMessageInfo

type GetFeastServingInfoResponse struct {
	// Feast version of this serving deployment.
	Version string `protobuf:"bytes,1,opt,name=version,proto3" json:"version,omitempty"`
	// Type of serving deployment, either ONLINE or BATCH. Different store types support different
	// feature retrieval methods.
	Type FeastServingType `protobuf:"varint,2,opt,name=type,proto3,enum=feast.serving.FeastServingType" json:"type,omitempty"`
	// Note: Batch specific options start from 10.
	// Staging location for this serving store, if any.
	JobStagingLocation   string   `protobuf:"bytes,10,opt,name=job_staging_location,json=jobStagingLocation,proto3" json:"job_staging_location,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetFeastServingInfoResponse) Reset()         { *m = GetFeastServingInfoResponse{} }
func (m *GetFeastServingInfoResponse) String() string { return proto.CompactTextString(m) }
func (*GetFeastServingInfoResponse) ProtoMessage()    {}
func (*GetFeastServingInfoResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_0c1ba93cf29a8d9d, []int{1}
}

func (m *GetFeastServingInfoResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetFeastServingInfoResponse.Unmarshal(m, b)
}
func (m *GetFeastServingInfoResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetFeastServingInfoResponse.Marshal(b, m, deterministic)
}
func (m *GetFeastServingInfoResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetFeastServingInfoResponse.Merge(m, src)
}
func (m *GetFeastServingInfoResponse) XXX_Size() int {
	return xxx_messageInfo_GetFeastServingInfoResponse.Size(m)
}
func (m *GetFeastServingInfoResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_GetFeastServingInfoResponse.DiscardUnknown(m)
}

var xxx_messageInfo_GetFeastServingInfoResponse proto.InternalMessageInfo

func (m *GetFeastServingInfoResponse) GetVersion() string {
	if m != nil {
		return m.Version
	}
	return ""
}

func (m *GetFeastServingInfoResponse) GetType() FeastServingType {
	if m != nil {
		return m.Type
	}
	return FeastServingType_FEAST_SERVING_TYPE_INVALID
}

func (m *GetFeastServingInfoResponse) GetJobStagingLocation() string {
	if m != nil {
		return m.JobStagingLocation
	}
	return ""
}

type FeatureSetRequest struct {
	// Feature set name
	Name string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	// Feature set version
	Version int32 `protobuf:"varint,2,opt,name=version,proto3" json:"version,omitempty"`
	// Features that should be retrieved from this feature set
	FeatureNames []string `protobuf:"bytes,3,rep,name=feature_names,json=featureNames,proto3" json:"feature_names,omitempty"`
	// The features will be retrieved if:
	// entity_timestamp - max_age  <= event_timestamp <= entity_timestamp
	//
	// If unspecified the default max_age specified in FeatureSetSpec will
	// be used.
	MaxAge               *duration.Duration `protobuf:"bytes,4,opt,name=max_age,json=maxAge,proto3" json:"max_age,omitempty"`
	XXX_NoUnkeyedLiteral struct{}           `json:"-"`
	XXX_unrecognized     []byte             `json:"-"`
	XXX_sizecache        int32              `json:"-"`
}

func (m *FeatureSetRequest) Reset()         { *m = FeatureSetRequest{} }
func (m *FeatureSetRequest) String() string { return proto.CompactTextString(m) }
func (*FeatureSetRequest) ProtoMessage()    {}
func (*FeatureSetRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_0c1ba93cf29a8d9d, []int{2}
}

func (m *FeatureSetRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_FeatureSetRequest.Unmarshal(m, b)
}
func (m *FeatureSetRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_FeatureSetRequest.Marshal(b, m, deterministic)
}
func (m *FeatureSetRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_FeatureSetRequest.Merge(m, src)
}
func (m *FeatureSetRequest) XXX_Size() int {
	return xxx_messageInfo_FeatureSetRequest.Size(m)
}
func (m *FeatureSetRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_FeatureSetRequest.DiscardUnknown(m)
}

var xxx_messageInfo_FeatureSetRequest proto.InternalMessageInfo

func (m *FeatureSetRequest) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *FeatureSetRequest) GetVersion() int32 {
	if m != nil {
		return m.Version
	}
	return 0
}

func (m *FeatureSetRequest) GetFeatureNames() []string {
	if m != nil {
		return m.FeatureNames
	}
	return nil
}

func (m *FeatureSetRequest) GetMaxAge() *duration.Duration {
	if m != nil {
		return m.MaxAge
	}
	return nil
}

type GetOnlineFeaturesRequest struct {
	// List of feature sets and their features that are being retrieved
	FeatureSets []*FeatureSetRequest `protobuf:"bytes,1,rep,name=feature_sets,json=featureSets,proto3" json:"feature_sets,omitempty"`
	// List of entity rows, containing entity id and timestamp data.
	// Used during retrieval of feature rows and for joining feature
	// rows into a final dataset
	EntityRows []*GetOnlineFeaturesRequest_EntityRow `protobuf:"bytes,2,rep,name=entity_rows,json=entityRows,proto3" json:"entity_rows,omitempty"`
	// Option to omit entities from the response. If true, only feature
	// values will be returned.
	OmitEntitiesInResponse bool     `protobuf:"varint,3,opt,name=omit_entities_in_response,json=omitEntitiesInResponse,proto3" json:"omit_entities_in_response,omitempty"`
	XXX_NoUnkeyedLiteral   struct{} `json:"-"`
	XXX_unrecognized       []byte   `json:"-"`
	XXX_sizecache          int32    `json:"-"`
}

func (m *GetOnlineFeaturesRequest) Reset()         { *m = GetOnlineFeaturesRequest{} }
func (m *GetOnlineFeaturesRequest) String() string { return proto.CompactTextString(m) }
func (*GetOnlineFeaturesRequest) ProtoMessage()    {}
func (*GetOnlineFeaturesRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_0c1ba93cf29a8d9d, []int{3}
}

func (m *GetOnlineFeaturesRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetOnlineFeaturesRequest.Unmarshal(m, b)
}
func (m *GetOnlineFeaturesRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetOnlineFeaturesRequest.Marshal(b, m, deterministic)
}
func (m *GetOnlineFeaturesRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetOnlineFeaturesRequest.Merge(m, src)
}
func (m *GetOnlineFeaturesRequest) XXX_Size() int {
	return xxx_messageInfo_GetOnlineFeaturesRequest.Size(m)
}
func (m *GetOnlineFeaturesRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetOnlineFeaturesRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetOnlineFeaturesRequest proto.InternalMessageInfo

func (m *GetOnlineFeaturesRequest) GetFeatureSets() []*FeatureSetRequest {
	if m != nil {
		return m.FeatureSets
	}
	return nil
}

func (m *GetOnlineFeaturesRequest) GetEntityRows() []*GetOnlineFeaturesRequest_EntityRow {
	if m != nil {
		return m.EntityRows
	}
	return nil
}

func (m *GetOnlineFeaturesRequest) GetOmitEntitiesInResponse() bool {
	if m != nil {
		return m.OmitEntitiesInResponse
	}
	return false
}

type GetOnlineFeaturesRequest_EntityRow struct {
	// Request timestamp of this row. This value will be used, together with maxAge,
	// to determine feature staleness.
	EntityTimestamp *timestamp.Timestamp `protobuf:"bytes,1,opt,name=entity_timestamp,json=entityTimestamp,proto3" json:"entity_timestamp,omitempty"`
	// Map containing mapping of entity name to entity value.
	Fields               map[string]*types.Value `protobuf:"bytes,2,rep,name=fields,proto3" json:"fields,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}                `json:"-"`
	XXX_unrecognized     []byte                  `json:"-"`
	XXX_sizecache        int32                   `json:"-"`
}

func (m *GetOnlineFeaturesRequest_EntityRow) Reset()         { *m = GetOnlineFeaturesRequest_EntityRow{} }
func (m *GetOnlineFeaturesRequest_EntityRow) String() string { return proto.CompactTextString(m) }
func (*GetOnlineFeaturesRequest_EntityRow) ProtoMessage()    {}
func (*GetOnlineFeaturesRequest_EntityRow) Descriptor() ([]byte, []int) {
	return fileDescriptor_0c1ba93cf29a8d9d, []int{3, 0}
}

func (m *GetOnlineFeaturesRequest_EntityRow) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetOnlineFeaturesRequest_EntityRow.Unmarshal(m, b)
}
func (m *GetOnlineFeaturesRequest_EntityRow) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetOnlineFeaturesRequest_EntityRow.Marshal(b, m, deterministic)
}
func (m *GetOnlineFeaturesRequest_EntityRow) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetOnlineFeaturesRequest_EntityRow.Merge(m, src)
}
func (m *GetOnlineFeaturesRequest_EntityRow) XXX_Size() int {
	return xxx_messageInfo_GetOnlineFeaturesRequest_EntityRow.Size(m)
}
func (m *GetOnlineFeaturesRequest_EntityRow) XXX_DiscardUnknown() {
	xxx_messageInfo_GetOnlineFeaturesRequest_EntityRow.DiscardUnknown(m)
}

var xxx_messageInfo_GetOnlineFeaturesRequest_EntityRow proto.InternalMessageInfo

func (m *GetOnlineFeaturesRequest_EntityRow) GetEntityTimestamp() *timestamp.Timestamp {
	if m != nil {
		return m.EntityTimestamp
	}
	return nil
}

func (m *GetOnlineFeaturesRequest_EntityRow) GetFields() map[string]*types.Value {
	if m != nil {
		return m.Fields
	}
	return nil
}

type GetBatchFeaturesRequest struct {
	// List of feature sets and their features that are being retrieved.
	FeatureSets []*FeatureSetRequest `protobuf:"bytes,1,rep,name=feature_sets,json=featureSets,proto3" json:"feature_sets,omitempty"`
	// Source of the entity dataset containing the timestamps and entity keys to retrieve
	// features for.
	DatasetSource        *DatasetSource `protobuf:"bytes,2,opt,name=dataset_source,json=datasetSource,proto3" json:"dataset_source,omitempty"`
	XXX_NoUnkeyedLiteral struct{}       `json:"-"`
	XXX_unrecognized     []byte         `json:"-"`
	XXX_sizecache        int32          `json:"-"`
}

func (m *GetBatchFeaturesRequest) Reset()         { *m = GetBatchFeaturesRequest{} }
func (m *GetBatchFeaturesRequest) String() string { return proto.CompactTextString(m) }
func (*GetBatchFeaturesRequest) ProtoMessage()    {}
func (*GetBatchFeaturesRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_0c1ba93cf29a8d9d, []int{4}
}

func (m *GetBatchFeaturesRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetBatchFeaturesRequest.Unmarshal(m, b)
}
func (m *GetBatchFeaturesRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetBatchFeaturesRequest.Marshal(b, m, deterministic)
}
func (m *GetBatchFeaturesRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetBatchFeaturesRequest.Merge(m, src)
}
func (m *GetBatchFeaturesRequest) XXX_Size() int {
	return xxx_messageInfo_GetBatchFeaturesRequest.Size(m)
}
func (m *GetBatchFeaturesRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetBatchFeaturesRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetBatchFeaturesRequest proto.InternalMessageInfo

func (m *GetBatchFeaturesRequest) GetFeatureSets() []*FeatureSetRequest {
	if m != nil {
		return m.FeatureSets
	}
	return nil
}

func (m *GetBatchFeaturesRequest) GetDatasetSource() *DatasetSource {
	if m != nil {
		return m.DatasetSource
	}
	return nil
}

type GetOnlineFeaturesResponse struct {
	// Feature values retrieved from feast.
	FieldValues          []*GetOnlineFeaturesResponse_FieldValues `protobuf:"bytes,1,rep,name=field_values,json=fieldValues,proto3" json:"field_values,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                                 `json:"-"`
	XXX_unrecognized     []byte                                   `json:"-"`
	XXX_sizecache        int32                                    `json:"-"`
}

func (m *GetOnlineFeaturesResponse) Reset()         { *m = GetOnlineFeaturesResponse{} }
func (m *GetOnlineFeaturesResponse) String() string { return proto.CompactTextString(m) }
func (*GetOnlineFeaturesResponse) ProtoMessage()    {}
func (*GetOnlineFeaturesResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_0c1ba93cf29a8d9d, []int{5}
}

func (m *GetOnlineFeaturesResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetOnlineFeaturesResponse.Unmarshal(m, b)
}
func (m *GetOnlineFeaturesResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetOnlineFeaturesResponse.Marshal(b, m, deterministic)
}
func (m *GetOnlineFeaturesResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetOnlineFeaturesResponse.Merge(m, src)
}
func (m *GetOnlineFeaturesResponse) XXX_Size() int {
	return xxx_messageInfo_GetOnlineFeaturesResponse.Size(m)
}
func (m *GetOnlineFeaturesResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_GetOnlineFeaturesResponse.DiscardUnknown(m)
}

var xxx_messageInfo_GetOnlineFeaturesResponse proto.InternalMessageInfo

func (m *GetOnlineFeaturesResponse) GetFieldValues() []*GetOnlineFeaturesResponse_FieldValues {
	if m != nil {
		return m.FieldValues
	}
	return nil
}

type GetOnlineFeaturesResponse_FieldValues struct {
	// Map of feature or entity name to feature/entity values.
	// Timestamps are not returned in this response.
	Fields               map[string]*types.Value `protobuf:"bytes,1,rep,name=fields,proto3" json:"fields,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	XXX_NoUnkeyedLiteral struct{}                `json:"-"`
	XXX_unrecognized     []byte                  `json:"-"`
	XXX_sizecache        int32                   `json:"-"`
}

func (m *GetOnlineFeaturesResponse_FieldValues) Reset()         { *m = GetOnlineFeaturesResponse_FieldValues{} }
func (m *GetOnlineFeaturesResponse_FieldValues) String() string { return proto.CompactTextString(m) }
func (*GetOnlineFeaturesResponse_FieldValues) ProtoMessage()    {}
func (*GetOnlineFeaturesResponse_FieldValues) Descriptor() ([]byte, []int) {
	return fileDescriptor_0c1ba93cf29a8d9d, []int{5, 0}
}

func (m *GetOnlineFeaturesResponse_FieldValues) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetOnlineFeaturesResponse_FieldValues.Unmarshal(m, b)
}
func (m *GetOnlineFeaturesResponse_FieldValues) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetOnlineFeaturesResponse_FieldValues.Marshal(b, m, deterministic)
}
func (m *GetOnlineFeaturesResponse_FieldValues) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetOnlineFeaturesResponse_FieldValues.Merge(m, src)
}
func (m *GetOnlineFeaturesResponse_FieldValues) XXX_Size() int {
	return xxx_messageInfo_GetOnlineFeaturesResponse_FieldValues.Size(m)
}
func (m *GetOnlineFeaturesResponse_FieldValues) XXX_DiscardUnknown() {
	xxx_messageInfo_GetOnlineFeaturesResponse_FieldValues.DiscardUnknown(m)
}

var xxx_messageInfo_GetOnlineFeaturesResponse_FieldValues proto.InternalMessageInfo

func (m *GetOnlineFeaturesResponse_FieldValues) GetFields() map[string]*types.Value {
	if m != nil {
		return m.Fields
	}
	return nil
}

type GetBatchFeaturesResponse struct {
	Job                  *Job     `protobuf:"bytes,1,opt,name=job,proto3" json:"job,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetBatchFeaturesResponse) Reset()         { *m = GetBatchFeaturesResponse{} }
func (m *GetBatchFeaturesResponse) String() string { return proto.CompactTextString(m) }
func (*GetBatchFeaturesResponse) ProtoMessage()    {}
func (*GetBatchFeaturesResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_0c1ba93cf29a8d9d, []int{6}
}

func (m *GetBatchFeaturesResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetBatchFeaturesResponse.Unmarshal(m, b)
}
func (m *GetBatchFeaturesResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetBatchFeaturesResponse.Marshal(b, m, deterministic)
}
func (m *GetBatchFeaturesResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetBatchFeaturesResponse.Merge(m, src)
}
func (m *GetBatchFeaturesResponse) XXX_Size() int {
	return xxx_messageInfo_GetBatchFeaturesResponse.Size(m)
}
func (m *GetBatchFeaturesResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_GetBatchFeaturesResponse.DiscardUnknown(m)
}

var xxx_messageInfo_GetBatchFeaturesResponse proto.InternalMessageInfo

func (m *GetBatchFeaturesResponse) GetJob() *Job {
	if m != nil {
		return m.Job
	}
	return nil
}

type GetJobRequest struct {
	Job                  *Job     `protobuf:"bytes,1,opt,name=job,proto3" json:"job,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetJobRequest) Reset()         { *m = GetJobRequest{} }
func (m *GetJobRequest) String() string { return proto.CompactTextString(m) }
func (*GetJobRequest) ProtoMessage()    {}
func (*GetJobRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_0c1ba93cf29a8d9d, []int{7}
}

func (m *GetJobRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetJobRequest.Unmarshal(m, b)
}
func (m *GetJobRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetJobRequest.Marshal(b, m, deterministic)
}
func (m *GetJobRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetJobRequest.Merge(m, src)
}
func (m *GetJobRequest) XXX_Size() int {
	return xxx_messageInfo_GetJobRequest.Size(m)
}
func (m *GetJobRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetJobRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetJobRequest proto.InternalMessageInfo

func (m *GetJobRequest) GetJob() *Job {
	if m != nil {
		return m.Job
	}
	return nil
}

type GetJobResponse struct {
	Job                  *Job     `protobuf:"bytes,1,opt,name=job,proto3" json:"job,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetJobResponse) Reset()         { *m = GetJobResponse{} }
func (m *GetJobResponse) String() string { return proto.CompactTextString(m) }
func (*GetJobResponse) ProtoMessage()    {}
func (*GetJobResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_0c1ba93cf29a8d9d, []int{8}
}

func (m *GetJobResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetJobResponse.Unmarshal(m, b)
}
func (m *GetJobResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetJobResponse.Marshal(b, m, deterministic)
}
func (m *GetJobResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetJobResponse.Merge(m, src)
}
func (m *GetJobResponse) XXX_Size() int {
	return xxx_messageInfo_GetJobResponse.Size(m)
}
func (m *GetJobResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_GetJobResponse.DiscardUnknown(m)
}

var xxx_messageInfo_GetJobResponse proto.InternalMessageInfo

func (m *GetJobResponse) GetJob() *Job {
	if m != nil {
		return m.Job
	}
	return nil
}

type Job struct {
	Id string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	// Output only. The type of the job.
	Type JobType `protobuf:"varint,2,opt,name=type,proto3,enum=feast.serving.JobType" json:"type,omitempty"`
	// Output only. Current state of the job.
	Status JobStatus `protobuf:"varint,3,opt,name=status,proto3,enum=feast.serving.JobStatus" json:"status,omitempty"`
	// Output only. If not empty, the job has failed with this error message.
	Error string `protobuf:"bytes,4,opt,name=error,proto3" json:"error,omitempty"`
	// Output only. The list of URIs for the files to be downloaded or
	// uploaded (depends on the job type) for this particular job.
	FileUris []string `protobuf:"bytes,5,rep,name=file_uris,json=fileUris,proto3" json:"file_uris,omitempty"`
	// Output only. The data format for all the files.
	// For CSV format, the files contain both feature values and a column header.
	DataFormat           DataFormat `protobuf:"varint,6,opt,name=data_format,json=dataFormat,proto3,enum=feast.serving.DataFormat" json:"data_format,omitempty"`
	XXX_NoUnkeyedLiteral struct{}   `json:"-"`
	XXX_unrecognized     []byte     `json:"-"`
	XXX_sizecache        int32      `json:"-"`
}

func (m *Job) Reset()         { *m = Job{} }
func (m *Job) String() string { return proto.CompactTextString(m) }
func (*Job) ProtoMessage()    {}
func (*Job) Descriptor() ([]byte, []int) {
	return fileDescriptor_0c1ba93cf29a8d9d, []int{9}
}

func (m *Job) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Job.Unmarshal(m, b)
}
func (m *Job) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Job.Marshal(b, m, deterministic)
}
func (m *Job) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Job.Merge(m, src)
}
func (m *Job) XXX_Size() int {
	return xxx_messageInfo_Job.Size(m)
}
func (m *Job) XXX_DiscardUnknown() {
	xxx_messageInfo_Job.DiscardUnknown(m)
}

var xxx_messageInfo_Job proto.InternalMessageInfo

func (m *Job) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *Job) GetType() JobType {
	if m != nil {
		return m.Type
	}
	return JobType_JOB_TYPE_INVALID
}

func (m *Job) GetStatus() JobStatus {
	if m != nil {
		return m.Status
	}
	return JobStatus_JOB_STATUS_INVALID
}

func (m *Job) GetError() string {
	if m != nil {
		return m.Error
	}
	return ""
}

func (m *Job) GetFileUris() []string {
	if m != nil {
		return m.FileUris
	}
	return nil
}

func (m *Job) GetDataFormat() DataFormat {
	if m != nil {
		return m.DataFormat
	}
	return DataFormat_DATA_FORMAT_INVALID
}

type DatasetSource struct {
	// Types that are valid to be assigned to DatasetSource:
	//	*DatasetSource_FileSource_
	DatasetSource        isDatasetSource_DatasetSource `protobuf_oneof:"dataset_source"`
	XXX_NoUnkeyedLiteral struct{}                      `json:"-"`
	XXX_unrecognized     []byte                        `json:"-"`
	XXX_sizecache        int32                         `json:"-"`
}

func (m *DatasetSource) Reset()         { *m = DatasetSource{} }
func (m *DatasetSource) String() string { return proto.CompactTextString(m) }
func (*DatasetSource) ProtoMessage()    {}
func (*DatasetSource) Descriptor() ([]byte, []int) {
	return fileDescriptor_0c1ba93cf29a8d9d, []int{10}
}

func (m *DatasetSource) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DatasetSource.Unmarshal(m, b)
}
func (m *DatasetSource) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DatasetSource.Marshal(b, m, deterministic)
}
func (m *DatasetSource) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DatasetSource.Merge(m, src)
}
func (m *DatasetSource) XXX_Size() int {
	return xxx_messageInfo_DatasetSource.Size(m)
}
func (m *DatasetSource) XXX_DiscardUnknown() {
	xxx_messageInfo_DatasetSource.DiscardUnknown(m)
}

var xxx_messageInfo_DatasetSource proto.InternalMessageInfo

type isDatasetSource_DatasetSource interface {
	isDatasetSource_DatasetSource()
}

type DatasetSource_FileSource_ struct {
	FileSource *DatasetSource_FileSource `protobuf:"bytes,1,opt,name=file_source,json=fileSource,proto3,oneof"`
}

func (*DatasetSource_FileSource_) isDatasetSource_DatasetSource() {}

func (m *DatasetSource) GetDatasetSource() isDatasetSource_DatasetSource {
	if m != nil {
		return m.DatasetSource
	}
	return nil
}

func (m *DatasetSource) GetFileSource() *DatasetSource_FileSource {
	if x, ok := m.GetDatasetSource().(*DatasetSource_FileSource_); ok {
		return x.FileSource
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*DatasetSource) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*DatasetSource_FileSource_)(nil),
	}
}

type DatasetSource_FileSource struct {
	// URIs to retrieve the dataset from, e.g. gs://bucket/directory/object.csv. Wildcards are
	// supported. This data must be compatible to be uploaded to the serving store, and also be
	// accessible by this serving instance.
	FileUris []string `protobuf:"bytes,1,rep,name=file_uris,json=fileUris,proto3" json:"file_uris,omitempty"`
	// Format of the data. Currently only avro is supported.
	DataFormat           DataFormat `protobuf:"varint,2,opt,name=data_format,json=dataFormat,proto3,enum=feast.serving.DataFormat" json:"data_format,omitempty"`
	XXX_NoUnkeyedLiteral struct{}   `json:"-"`
	XXX_unrecognized     []byte     `json:"-"`
	XXX_sizecache        int32      `json:"-"`
}

func (m *DatasetSource_FileSource) Reset()         { *m = DatasetSource_FileSource{} }
func (m *DatasetSource_FileSource) String() string { return proto.CompactTextString(m) }
func (*DatasetSource_FileSource) ProtoMessage()    {}
func (*DatasetSource_FileSource) Descriptor() ([]byte, []int) {
	return fileDescriptor_0c1ba93cf29a8d9d, []int{10, 0}
}

func (m *DatasetSource_FileSource) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DatasetSource_FileSource.Unmarshal(m, b)
}
func (m *DatasetSource_FileSource) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DatasetSource_FileSource.Marshal(b, m, deterministic)
}
func (m *DatasetSource_FileSource) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DatasetSource_FileSource.Merge(m, src)
}
func (m *DatasetSource_FileSource) XXX_Size() int {
	return xxx_messageInfo_DatasetSource_FileSource.Size(m)
}
func (m *DatasetSource_FileSource) XXX_DiscardUnknown() {
	xxx_messageInfo_DatasetSource_FileSource.DiscardUnknown(m)
}

var xxx_messageInfo_DatasetSource_FileSource proto.InternalMessageInfo

func (m *DatasetSource_FileSource) GetFileUris() []string {
	if m != nil {
		return m.FileUris
	}
	return nil
}

func (m *DatasetSource_FileSource) GetDataFormat() DataFormat {
	if m != nil {
		return m.DataFormat
	}
	return DataFormat_DATA_FORMAT_INVALID
}

func init() {
	proto.RegisterEnum("feast.serving.FeastServingType", FeastServingType_name, FeastServingType_value)
	proto.RegisterEnum("feast.serving.JobType", JobType_name, JobType_value)
	proto.RegisterEnum("feast.serving.JobStatus", JobStatus_name, JobStatus_value)
	proto.RegisterEnum("feast.serving.DataFormat", DataFormat_name, DataFormat_value)
	proto.RegisterType((*GetFeastServingInfoRequest)(nil), "feast.serving.GetFeastServingInfoRequest")
	proto.RegisterType((*GetFeastServingInfoResponse)(nil), "feast.serving.GetFeastServingInfoResponse")
	proto.RegisterType((*FeatureSetRequest)(nil), "feast.serving.FeatureSetRequest")
	proto.RegisterType((*GetOnlineFeaturesRequest)(nil), "feast.serving.GetOnlineFeaturesRequest")
	proto.RegisterType((*GetOnlineFeaturesRequest_EntityRow)(nil), "feast.serving.GetOnlineFeaturesRequest.EntityRow")
	proto.RegisterMapType((map[string]*types.Value)(nil), "feast.serving.GetOnlineFeaturesRequest.EntityRow.FieldsEntry")
	proto.RegisterType((*GetBatchFeaturesRequest)(nil), "feast.serving.GetBatchFeaturesRequest")
	proto.RegisterType((*GetOnlineFeaturesResponse)(nil), "feast.serving.GetOnlineFeaturesResponse")
	proto.RegisterType((*GetOnlineFeaturesResponse_FieldValues)(nil), "feast.serving.GetOnlineFeaturesResponse.FieldValues")
	proto.RegisterMapType((map[string]*types.Value)(nil), "feast.serving.GetOnlineFeaturesResponse.FieldValues.FieldsEntry")
	proto.RegisterType((*GetBatchFeaturesResponse)(nil), "feast.serving.GetBatchFeaturesResponse")
	proto.RegisterType((*GetJobRequest)(nil), "feast.serving.GetJobRequest")
	proto.RegisterType((*GetJobResponse)(nil), "feast.serving.GetJobResponse")
	proto.RegisterType((*Job)(nil), "feast.serving.Job")
	proto.RegisterType((*DatasetSource)(nil), "feast.serving.DatasetSource")
	proto.RegisterType((*DatasetSource_FileSource)(nil), "feast.serving.DatasetSource.FileSource")
}

func init() { proto.RegisterFile("feast/serving/ServingService.proto", fileDescriptor_0c1ba93cf29a8d9d) }

var fileDescriptor_0c1ba93cf29a8d9d = []byte{
	// 1105 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xbc, 0x56, 0x4f, 0x73, 0xda, 0x46,
	0x14, 0x8f, 0xc0, 0xc6, 0xe1, 0x11, 0x63, 0x79, 0xed, 0xda, 0xb2, 0xe2, 0x24, 0x0c, 0xed, 0xd4,
	0x94, 0x83, 0x68, 0x49, 0x9b, 0x69, 0xd3, 0xe9, 0x4c, 0xc0, 0x08, 0x82, 0xc7, 0x11, 0x9e, 0x05,
	0x3b, 0x6d, 0x2f, 0x1a, 0x01, 0x0b, 0x96, 0x0d, 0x5a, 0x57, 0xbb, 0x38, 0xf1, 0xd7, 0xe8, 0xb1,
	0x87, 0x5e, 0x7a, 0xee, 0xb5, 0x9f, 0xa4, 0x9f, 0xa0, 0xb7, 0x7e, 0x83, 0x1e, 0x3b, 0x5a, 0xad,
	0x30, 0xff, 0x9c, 0xd8, 0x9d, 0x69, 0x4e, 0xda, 0x7d, 0xef, 0xf7, 0xfe, 0xee, 0x7b, 0x4f, 0x0f,
	0xb2, 0x3d, 0xe2, 0x30, 0x5e, 0x60, 0xc4, 0xbf, 0x74, 0xbd, 0x7e, 0xa1, 0x19, 0x7e, 0xc5, 0xa7,
	0x43, 0x8c, 0x0b, 0x9f, 0x72, 0x8a, 0x56, 0x05, 0xc6, 0x90, 0x18, 0xfd, 0x49, 0x9f, 0xd2, 0xfe,
	0x80, 0x14, 0x04, 0xb3, 0x3d, 0xea, 0x15, 0xb8, 0x3b, 0x24, 0x8c, 0x3b, 0xc3, 0x8b, 0x10, 0xaf,
	0x3f, 0x9e, 0x05, 0x74, 0x47, 0xbe, 0xc3, 0x5d, 0xea, 0x49, 0xfe, 0x76, 0x68, 0x93, 0x5f, 0x5d,
	0x10, 0x56, 0x38, 0x71, 0x06, 0x23, 0x69, 0x28, 0xbb, 0x0b, 0x7a, 0x8d, 0xf0, 0x6a, 0xc0, 0x95,
	0x8e, 0xd4, 0xbd, 0x1e, 0xc5, 0xe4, 0xa7, 0x11, 0x61, 0x3c, 0xfb, 0xab, 0x02, 0x0f, 0x17, 0xb2,
	0xd9, 0x05, 0xf5, 0x18, 0x41, 0x1a, 0xac, 0x5c, 0x12, 0x9f, 0xb9, 0xd4, 0xd3, 0x94, 0x8c, 0x92,
	0x4b, 0xe2, 0xe8, 0x8a, 0x9e, 0xc2, 0x52, 0x60, 0x4c, 0x8b, 0x65, 0x94, 0x5c, 0xba, 0xf8, 0xc4,
	0x98, 0x8a, 0xc7, 0x98, 0x54, 0xd8, 0xba, 0xba, 0x20, 0x58, 0x80, 0xd1, 0xe7, 0xb0, 0x79, 0x46,
	0xdb, 0x36, 0xe3, 0x4e, 0xdf, 0xf5, 0xfa, 0xf6, 0x80, 0x76, 0x44, 0x0c, 0x1a, 0x08, 0xdd, 0xe8,
	0x8c, 0xb6, 0x9b, 0x21, 0xeb, 0x50, 0x72, 0xb2, 0xbf, 0x28, 0xb0, 0x5e, 0x25, 0x0e, 0x1f, 0xf9,
	0xa4, 0x49, 0xb8, 0x74, 0x1b, 0x21, 0x58, 0xf2, 0x9c, 0x21, 0x91, 0x3e, 0x89, 0xf3, 0xa4, 0xab,
	0x81, 0x4f, 0xcb, 0xd7, 0xae, 0x7e, 0x0c, 0x41, 0xb6, 0x03, 0x15, 0x76, 0x80, 0x64, 0x5a, 0x3c,
	0x13, 0xcf, 0x25, 0xf1, 0x03, 0x49, 0xb4, 0x02, 0x1a, 0x2a, 0xc2, 0xca, 0xd0, 0x79, 0x6b, 0x3b,
	0x7d, 0xa2, 0x2d, 0x65, 0x94, 0x5c, 0xaa, 0xb8, 0x63, 0x84, 0x29, 0x37, 0xa2, 0x94, 0x1b, 0x15,
	0x99, 0x72, 0x9c, 0x18, 0x3a, 0x6f, 0x4b, 0x7d, 0x92, 0xfd, 0x3b, 0x0e, 0x5a, 0x8d, 0xf0, 0x86,
	0x37, 0x70, 0x3d, 0x22, 0xbd, 0x64, 0x91, 0x8f, 0xfb, 0x10, 0x19, 0xb0, 0x19, 0xe1, 0x4c, 0x53,
	0x32, 0xf1, 0x5c, 0xaa, 0x98, 0x99, 0x4f, 0xd4, 0x74, 0x6c, 0x38, 0xd5, 0x1b, 0x93, 0x18, 0xc2,
	0x90, 0x22, 0x1e, 0x77, 0xf9, 0x95, 0xed, 0xd3, 0x37, 0x4c, 0x8b, 0x09, 0x1d, 0x5f, 0xcc, 0xe8,
	0xb8, 0xc9, 0x05, 0xc3, 0x14, 0xa2, 0x98, 0xbe, 0xc1, 0x40, 0xa2, 0x23, 0x43, 0xdf, 0xc0, 0x0e,
	0x1d, 0xba, 0xdc, 0x16, 0x24, 0x97, 0x30, 0xdb, 0xf5, 0x6c, 0x5f, 0x3e, 0xb8, 0x16, 0xcf, 0x28,
	0xb9, 0xfb, 0x78, 0x2b, 0x00, 0x98, 0x92, 0x5f, 0xf7, 0xa2, 0x72, 0xd0, 0xff, 0x51, 0x20, 0x39,
	0x56, 0x8a, 0x4c, 0x50, 0xa5, 0x73, 0xe3, 0x6a, 0x15, 0x2f, 0x92, 0x2a, 0xea, 0x73, 0xb9, 0x6b,
	0x45, 0x08, 0xbc, 0x16, 0xca, 0x8c, 0x09, 0xe8, 0x18, 0x12, 0x3d, 0x97, 0x0c, 0xba, 0x51, 0x78,
	0xdf, 0xdd, 0x39, 0x3c, 0xa3, 0x2a, 0xe4, 0x4d, 0x8f, 0xfb, 0x57, 0x58, 0x2a, 0xd3, 0x5f, 0x41,
	0x6a, 0x82, 0x8c, 0x54, 0x88, 0x9f, 0x93, 0x2b, 0x59, 0x31, 0xc1, 0x11, 0xe5, 0x60, 0xf9, 0x32,
	0x68, 0x14, 0x51, 0x2e, 0xa9, 0x22, 0x92, 0x66, 0x45, 0x0b, 0x19, 0xa2, 0x85, 0x70, 0x08, 0x78,
	0x1e, 0xfb, 0x5a, 0xc9, 0xfe, 0xa6, 0xc0, 0x76, 0x8d, 0xf0, 0xb2, 0xc3, 0x3b, 0xa7, 0xff, 0xcb,
	0x53, 0xef, 0x43, 0xba, 0xeb, 0x70, 0x87, 0x11, 0x6e, 0x33, 0x3a, 0xf2, 0x3b, 0x91, 0x5f, 0xbb,
	0x33, 0x6a, 0x2a, 0x21, 0xa8, 0x29, 0x30, 0x78, 0xb5, 0x3b, 0x79, 0xcd, 0xfe, 0x1e, 0x83, 0x9d,
	0x05, 0xf9, 0x92, 0xdd, 0xfc, 0x1a, 0x1e, 0x88, 0xe4, 0xd8, 0x22, 0xac, 0xc8, 0xcf, 0x2f, 0xdf,
	0x9f, 0xef, 0x50, 0x3e, 0x4c, 0xb3, 0xc8, 0x0c, 0xc3, 0xa9, 0xde, 0xf5, 0x45, 0xff, 0x43, 0x91,
	0xc9, 0x0e, 0xef, 0xe8, 0xfb, 0xf1, 0x93, 0x86, 0x26, 0x5e, 0xfc, 0x17, 0x13, 0x1f, 0xe2, 0x55,
	0x5f, 0x88, 0x06, 0x9e, 0x79, 0x54, 0x99, 0xad, 0x4f, 0x20, 0x7e, 0x46, 0xdb, 0xb2, 0xa2, 0xd1,
	0x4c, 0x04, 0x07, 0xb4, 0x8d, 0x03, 0x76, 0xf6, 0x2b, 0x58, 0xad, 0x11, 0x1e, 0x5c, 0x65, 0x31,
	0xdc, 0x4e, 0xec, 0x19, 0xa4, 0x23, 0xb1, 0x3b, 0x99, 0xfb, 0x4b, 0x81, 0xf8, 0x01, 0x6d, 0xa3,
	0x34, 0xc4, 0xdc, 0xae, 0x8c, 0x3b, 0xe6, 0x76, 0x51, 0x7e, 0x6a, 0x1c, 0x6f, 0xcd, 0x8b, 0x4f,
	0x4d, 0xe1, 0x04, 0xe3, 0x0e, 0x1f, 0x31, 0xd1, 0xed, 0xe9, 0xa2, 0x36, 0x8f, 0x6e, 0x0a, 0x3e,
	0x96, 0x38, 0xb4, 0x09, 0xcb, 0xc4, 0xf7, 0xa9, 0x2f, 0x46, 0x63, 0x12, 0x87, 0x17, 0xf4, 0x10,
	0x92, 0x3d, 0x77, 0x40, 0xec, 0x91, 0xef, 0x32, 0x6d, 0x59, 0xcc, 0xd4, 0xfb, 0x01, 0xe1, 0xd8,
	0x77, 0x19, 0x7a, 0x0e, 0xa9, 0xa0, 0x34, 0xed, 0x1e, 0xf5, 0x87, 0x0e, 0xd7, 0x12, 0xc2, 0xd2,
	0xce, 0x82, 0x5a, 0xae, 0x0a, 0x00, 0x86, 0xee, 0xf8, 0x9c, 0xfd, 0x53, 0x81, 0xd5, 0xa9, 0x32,
	0x47, 0x07, 0x90, 0x12, 0xa6, 0x64, 0x67, 0x84, 0x49, 0xda, 0x7b, 0x57, 0x67, 0x18, 0x55, 0x77,
	0x40, 0xc2, 0xe3, 0xcb, 0x7b, 0x18, 0x7a, 0xe3, 0x9b, 0x4e, 0x00, 0xae, 0x79, 0xd3, 0x41, 0x28,
	0xef, 0x0e, 0x22, 0x76, 0x87, 0x20, 0xca, 0xea, 0x6c, 0x3f, 0xe7, 0x29, 0xa8, 0xb3, 0xff, 0x45,
	0xf4, 0x18, 0xf4, 0xaa, 0x59, 0x6a, 0xb6, 0xec, 0xa6, 0x89, 0x4f, 0xea, 0x56, 0xcd, 0x6e, 0xfd,
	0x70, 0x64, 0xda, 0x75, 0xeb, 0xa4, 0x74, 0x58, 0xaf, 0xa8, 0xf7, 0xd0, 0x23, 0xd8, 0x59, 0xc0,
	0x6f, 0x58, 0x87, 0x75, 0xcb, 0x54, 0x15, 0xb4, 0x0b, 0xda, 0x02, 0x76, 0xb9, 0xd4, 0xda, 0x7f,
	0xa9, 0xc6, 0xf2, 0xcf, 0x60, 0x45, 0xbe, 0x3c, 0xda, 0x04, 0xf5, 0xa0, 0x51, 0x9e, 0xd5, 0xfe,
	0x11, 0xac, 0x8f, 0xa9, 0x95, 0xc6, 0x6b, 0xeb, 0xb0, 0x51, 0xaa, 0xa8, 0x4a, 0xfe, 0x14, 0x92,
	0xe3, 0x1a, 0x40, 0x5b, 0x80, 0x02, 0x4c, 0xb3, 0x55, 0x6a, 0x1d, 0x37, 0x27, 0x64, 0xa7, 0xe9,
	0x47, 0xa6, 0x55, 0xa9, 0x5b, 0x35, 0x55, 0x99, 0xa1, 0xe3, 0x63, 0xcb, 0x0a, 0xe8, 0x31, 0xb4,
	0x01, 0x6b, 0x13, 0xf4, 0x4a, 0xc3, 0x32, 0xd5, 0x78, 0xfe, 0x5b, 0x80, 0xeb, 0xf4, 0xa1, 0x6d,
	0xd8, 0xa8, 0x94, 0x5a, 0x25, 0xbb, 0xda, 0xc0, 0xaf, 0x4a, 0xad, 0x09, 0x5b, 0x9b, 0xa0, 0x4e,
	0x32, 0x4a, 0x27, 0xb8, 0xa1, 0x2a, 0xc5, 0x9f, 0xe3, 0x90, 0x9e, 0x5e, 0xae, 0xd0, 0x00, 0x36,
	0x16, 0xac, 0x33, 0xe8, 0xb3, 0xf9, 0xf9, 0x73, 0xc3, 0x46, 0xa4, 0xe7, 0x6f, 0x03, 0x95, 0x2d,
	0xdb, 0x83, 0xf5, 0xb9, 0x49, 0x86, 0xf6, 0x6e, 0xf9, 0xfb, 0xd2, 0x73, 0xb7, 0x1d, 0x8a, 0xa8,
	0x03, 0xea, 0xec, 0x94, 0x42, 0x9f, 0xce, 0x4b, 0x2f, 0xfa, 0x37, 0xe9, 0x7b, 0xef, 0xc5, 0x49,
	0x23, 0x26, 0x24, 0xc2, 0x89, 0x84, 0x76, 0xe7, 0x45, 0xae, 0xe7, 0x9b, 0xfe, 0xe8, 0x06, 0x6e,
	0xa8, 0xa6, 0xdc, 0x82, 0xe9, 0xd5, 0xb6, 0xbc, 0x26, 0x33, 0x57, 0x3a, 0xaa, 0x1f, 0x05, 0xdb,
	0xc0, 0x8f, 0xc5, 0xbe, 0xcb, 0x4f, 0x47, 0x6d, 0xa3, 0x43, 0x87, 0x85, 0x3e, 0x3d, 0x23, 0xe7,
	0x05, 0xb9, 0x2f, 0x77, 0xcf, 0x0b, 0x7d, 0x1a, 0x6e, 0xb8, 0xac, 0x30, 0xb5, 0x43, 0xb7, 0x13,
	0x82, 0xfa, 0xf4, 0xdf, 0x00, 0x00, 0x00, 0xff, 0xff, 0xa8, 0xc6, 0xa7, 0xc9, 0x5b, 0x0b, 0x00,
	0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// ServingServiceClient is the client API for ServingService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type ServingServiceClient interface {
	// Get information about this Feast serving.
	GetFeastServingInfo(ctx context.Context, in *GetFeastServingInfoRequest, opts ...grpc.CallOption) (*GetFeastServingInfoResponse, error)
	// Get online features synchronously.
	GetOnlineFeatures(ctx context.Context, in *GetOnlineFeaturesRequest, opts ...grpc.CallOption) (*GetOnlineFeaturesResponse, error)
	// Get batch features asynchronously.
	//
	// The client should check the status of the returned job periodically by
	// calling ReloadJob to determine if the job has completed successfully
	// or with an error. If the job completes successfully i.e.
	// status = JOB_STATUS_DONE with no error, then the client can check
	// the file_uris for the location to download feature values data.
	// The client is assumed to have access to these file URIs.
	GetBatchFeatures(ctx context.Context, in *GetBatchFeaturesRequest, opts ...grpc.CallOption) (*GetBatchFeaturesResponse, error)
	// Get the latest job status for batch feature retrieval.
	GetJob(ctx context.Context, in *GetJobRequest, opts ...grpc.CallOption) (*GetJobResponse, error)
}

type servingServiceClient struct {
	cc *grpc.ClientConn
}

func NewServingServiceClient(cc *grpc.ClientConn) ServingServiceClient {
	return &servingServiceClient{cc}
}

func (c *servingServiceClient) GetFeastServingInfo(ctx context.Context, in *GetFeastServingInfoRequest, opts ...grpc.CallOption) (*GetFeastServingInfoResponse, error) {
	out := new(GetFeastServingInfoResponse)
	err := c.cc.Invoke(ctx, "/feast.serving.ServingService/GetFeastServingInfo", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *servingServiceClient) GetOnlineFeatures(ctx context.Context, in *GetOnlineFeaturesRequest, opts ...grpc.CallOption) (*GetOnlineFeaturesResponse, error) {
	out := new(GetOnlineFeaturesResponse)
	err := c.cc.Invoke(ctx, "/feast.serving.ServingService/GetOnlineFeatures", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *servingServiceClient) GetBatchFeatures(ctx context.Context, in *GetBatchFeaturesRequest, opts ...grpc.CallOption) (*GetBatchFeaturesResponse, error) {
	out := new(GetBatchFeaturesResponse)
	err := c.cc.Invoke(ctx, "/feast.serving.ServingService/GetBatchFeatures", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *servingServiceClient) GetJob(ctx context.Context, in *GetJobRequest, opts ...grpc.CallOption) (*GetJobResponse, error) {
	out := new(GetJobResponse)
	err := c.cc.Invoke(ctx, "/feast.serving.ServingService/GetJob", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// ServingServiceServer is the server API for ServingService service.
type ServingServiceServer interface {
	// Get information about this Feast serving.
	GetFeastServingInfo(context.Context, *GetFeastServingInfoRequest) (*GetFeastServingInfoResponse, error)
	// Get online features synchronously.
	GetOnlineFeatures(context.Context, *GetOnlineFeaturesRequest) (*GetOnlineFeaturesResponse, error)
	// Get batch features asynchronously.
	//
	// The client should check the status of the returned job periodically by
	// calling ReloadJob to determine if the job has completed successfully
	// or with an error. If the job completes successfully i.e.
	// status = JOB_STATUS_DONE with no error, then the client can check
	// the file_uris for the location to download feature values data.
	// The client is assumed to have access to these file URIs.
	GetBatchFeatures(context.Context, *GetBatchFeaturesRequest) (*GetBatchFeaturesResponse, error)
	// Get the latest job status for batch feature retrieval.
	GetJob(context.Context, *GetJobRequest) (*GetJobResponse, error)
}

// UnimplementedServingServiceServer can be embedded to have forward compatible implementations.
type UnimplementedServingServiceServer struct {
}

func (*UnimplementedServingServiceServer) GetFeastServingInfo(ctx context.Context, req *GetFeastServingInfoRequest) (*GetFeastServingInfoResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetFeastServingInfo not implemented")
}
func (*UnimplementedServingServiceServer) GetOnlineFeatures(ctx context.Context, req *GetOnlineFeaturesRequest) (*GetOnlineFeaturesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetOnlineFeatures not implemented")
}
func (*UnimplementedServingServiceServer) GetBatchFeatures(ctx context.Context, req *GetBatchFeaturesRequest) (*GetBatchFeaturesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetBatchFeatures not implemented")
}
func (*UnimplementedServingServiceServer) GetJob(ctx context.Context, req *GetJobRequest) (*GetJobResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetJob not implemented")
}

func RegisterServingServiceServer(s *grpc.Server, srv ServingServiceServer) {
	s.RegisterService(&_ServingService_serviceDesc, srv)
}

func _ServingService_GetFeastServingInfo_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetFeastServingInfoRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServingServiceServer).GetFeastServingInfo(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/feast.serving.ServingService/GetFeastServingInfo",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServingServiceServer).GetFeastServingInfo(ctx, req.(*GetFeastServingInfoRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServingService_GetOnlineFeatures_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetOnlineFeaturesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServingServiceServer).GetOnlineFeatures(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/feast.serving.ServingService/GetOnlineFeatures",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServingServiceServer).GetOnlineFeatures(ctx, req.(*GetOnlineFeaturesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServingService_GetBatchFeatures_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetBatchFeaturesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServingServiceServer).GetBatchFeatures(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/feast.serving.ServingService/GetBatchFeatures",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServingServiceServer).GetBatchFeatures(ctx, req.(*GetBatchFeaturesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _ServingService_GetJob_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetJobRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ServingServiceServer).GetJob(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/feast.serving.ServingService/GetJob",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ServingServiceServer).GetJob(ctx, req.(*GetJobRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _ServingService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "feast.serving.ServingService",
	HandlerType: (*ServingServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetFeastServingInfo",
			Handler:    _ServingService_GetFeastServingInfo_Handler,
		},
		{
			MethodName: "GetOnlineFeatures",
			Handler:    _ServingService_GetOnlineFeatures_Handler,
		},
		{
			MethodName: "GetBatchFeatures",
			Handler:    _ServingService_GetBatchFeatures_Handler,
		},
		{
			MethodName: "GetJob",
			Handler:    _ServingService_GetJob_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "feast/serving/ServingService.proto",
}
