// Code generated by protoc-gen-go. DO NOT EDIT.
// source: feast/types/FeatureRow.proto

package types

import (
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	timestamp "github.com/golang/protobuf/ptypes/timestamp"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type FeatureRow struct {
	// Fields in the feature row.
	Fields []*Field `protobuf:"bytes,2,rep,name=fields,proto3" json:"fields,omitempty"`
	// Timestamp of the feature row. While the actual definition of this timestamp may vary
	// depending on the upstream feature creation pipelines, this is the timestamp that Feast
	// will use to perform joins, determine latest values, and coalesce rows.
	EventTimestamp *timestamp.Timestamp `protobuf:"bytes,3,opt,name=event_timestamp,json=eventTimestamp,proto3" json:"event_timestamp,omitempty"`
	// Complete reference to the featureSet this featureRow belongs to, in the form of
	// featureSetName:version. This value will be used by the feast ingestion job to filter
	// rows, and write the values to the correct tables.
	FeatureSet           string   `protobuf:"bytes,6,opt,name=feature_set,json=featureSet,proto3" json:"feature_set,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *FeatureRow) Reset()         { *m = FeatureRow{} }
func (m *FeatureRow) String() string { return proto.CompactTextString(m) }
func (*FeatureRow) ProtoMessage()    {}
func (*FeatureRow) Descriptor() ([]byte, []int) {
	return fileDescriptor_fbbea9c89787d1c7, []int{0}
}

func (m *FeatureRow) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_FeatureRow.Unmarshal(m, b)
}
func (m *FeatureRow) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_FeatureRow.Marshal(b, m, deterministic)
}
func (m *FeatureRow) XXX_Merge(src proto.Message) {
	xxx_messageInfo_FeatureRow.Merge(m, src)
}
func (m *FeatureRow) XXX_Size() int {
	return xxx_messageInfo_FeatureRow.Size(m)
}
func (m *FeatureRow) XXX_DiscardUnknown() {
	xxx_messageInfo_FeatureRow.DiscardUnknown(m)
}

var xxx_messageInfo_FeatureRow proto.InternalMessageInfo

func (m *FeatureRow) GetFields() []*Field {
	if m != nil {
		return m.Fields
	}
	return nil
}

func (m *FeatureRow) GetEventTimestamp() *timestamp.Timestamp {
	if m != nil {
		return m.EventTimestamp
	}
	return nil
}

func (m *FeatureRow) GetFeatureSet() string {
	if m != nil {
		return m.FeatureSet
	}
	return ""
}

func init() {
	proto.RegisterType((*FeatureRow)(nil), "feast.types.FeatureRow")
}

func init() { proto.RegisterFile("feast/types/FeatureRow.proto", fileDescriptor_fbbea9c89787d1c7) }

var fileDescriptor_fbbea9c89787d1c7 = []byte{
	// 238 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x54, 0x90, 0xcd, 0x4a, 0xc3, 0x40,
	0x10, 0xc7, 0x89, 0x85, 0x80, 0x1b, 0xb0, 0xb0, 0x17, 0x43, 0x10, 0x1a, 0x3c, 0x05, 0x0f, 0x33,
	0x52, 0xdf, 0xa0, 0x82, 0xe7, 0x12, 0x3d, 0x79, 0x29, 0x89, 0x9d, 0xac, 0xb1, 0x8d, 0x13, 0xba,
	0x13, 0xc5, 0x97, 0xf1, 0x59, 0x65, 0x77, 0xdb, 0x26, 0x1e, 0x77, 0x7e, 0x33, 0xff, 0x8f, 0x55,
	0x37, 0x0d, 0x55, 0x56, 0x50, 0x7e, 0x7a, 0xb2, 0xf8, 0x44, 0x95, 0x0c, 0x07, 0x2a, 0xf9, 0x1b,
	0xfa, 0x03, 0x0b, 0xeb, 0xc4, 0x53, 0xf0, 0x34, 0x5b, 0x18, 0x66, 0xb3, 0x27, 0xf4, 0xa8, 0x1e,
	0x1a, 0x94, 0xb6, 0x23, 0x2b, 0x55, 0xd7, 0x87, 0xed, 0xec, 0xfa, 0x9f, 0x56, 0x4b, 0xfb, 0x6d,
	0x00, 0xb7, 0xbf, 0x91, 0x52, 0xa3, 0xb6, 0xbe, 0x53, 0x71, 0xe3, 0xa8, 0x4d, 0x2f, 0xf2, 0x59,
	0x91, 0x2c, 0x35, 0x4c, 0x6c, 0xc0, 0x1f, 0x96, 0xc7, 0x0d, 0xfd, 0xa8, 0xe6, 0xf4, 0x45, 0x9f,
	0xb2, 0x39, 0x9b, 0xa5, 0xb3, 0x3c, 0x2a, 0x92, 0x65, 0x06, 0x21, 0x0e, 0x9c, 0xe2, 0xc0, 0xcb,
	0x69, 0xa3, 0xbc, 0xf2, 0x27, 0xe7, 0xb7, 0x5e, 0x28, 0x57, 0xc4, 0xd9, 0x6f, 0x2c, 0x49, 0x1a,
	0xe7, 0x51, 0x71, 0x59, 0xaa, 0xe3, 0xe8, 0x99, 0x64, 0xb5, 0x56, 0xd3, 0xa6, 0xab, 0xf9, 0x18,
	0x76, 0xed, 0xd4, 0x5f, 0xef, 0x4d, 0x2b, 0xef, 0x43, 0x0d, 0x6f, 0xdc, 0xa1, 0xe1, 0x0f, 0xda,
	0x61, 0xa8, 0x6a, 0xb7, 0x3b, 0x34, 0x1c, 0x7e, 0xc4, 0xe2, 0xa4, 0x7e, 0x1d, 0xfb, 0xd9, 0xc3,
	0x5f, 0x00, 0x00, 0x00, 0xff, 0xff, 0x2f, 0x88, 0x1b, 0x19, 0x60, 0x01, 0x00, 0x00,
}
